function initSubThemes() {

	if(!document.body) {

		setTimeout('initSubThemes()',100);

		return false;

	}

	var contentHolder = document.getElementById('bodyContent');

	var arrLink = contentHolder.getElementsByTagName('A');

	var len = arrLink.length;

	var header, regX = /^H/g;

	for(var i=0;i<len;i++) {

		if(!arrLink[i].getAttribute('href') && arrLink[i].getAttribute('name')) {

			if(regX.test(arrLink[i].nextSibling.tagName) || regX.test(arrLink[i].nextSibling.tagName)) {

				header = arrLink[i].nextSibling;

				initSubSection(header);

			}

		}

	}

}



function initSubSection(elemnt) {

	elemnt.className += ' openedSection';

	elemnt.onclick = showHideSection;

	showHideSection(elemnt);

	return false;

}



function showHideSection (srcElem) {

	if(srcElem) {

		var elem = srcElem.tagName?srcElem:this;

	} else {

		var elem = this;

	}

	var nextElem = elem.nextSibling;

	if(elem.className.indexOf('openedSection')>-1) {

		elem.className = elem.className.replace(' openedSection',' closedSection');

		while(nextElem.tagName!='A' || nextElem.getAttribute('href') || !nextElem.getAttribute('name')) {

			if(nextElem.tagName) nextElem.style.display = 'none';

			nextElem = nextElem.nextSibling;

			if(!nextElem) return false;

		}

	} else {

		elem.className = elem.className.replace(' closedSection',' openedSection');

		while(nextElem.tagName!='A' || nextElem.getAttribute('href') || !nextElem.getAttribute('name')) {

			if(nextElem.tagName) nextElem.style.display = '';

			nextElem = nextElem.nextSibling;

			if(!nextElem) return true;

		}

	}

}



initSubThemes();